import { ICacheStorage } from "backfill-config";
import { Logger } from "backfill-logger";
import { CacheOptions } from "../types/CacheOptions";
export declare type RemoteFallbackCacheProviderOptions = Pick<CacheOptions, "internalCacheFolder" | "cacheStorageConfig" | "writeRemoteCache">;
export declare class RemoteFallbackCacheProvider implements ICacheStorage {
    private cacheOptions;
    private localCacheStorageProvider;
    private remoteCacheStorageProvider?;
    constructor(cacheOptions: RemoteFallbackCacheProviderOptions, logger: Logger, cwd: string);
    fetch(hash: string): Promise<boolean>;
    put(hash: string, filesToCache: string[]): Promise<void>;
}
