"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const backfill_config_1 = require("backfill-config");
const backfill_logger_1 = require("backfill-logger");
const RemoteFallbackCacheProvider_1 = require("./RemoteFallbackCacheProvider");
function getCacheConfig(cwd, cacheOptions) {
    const defaultCacheConfig = backfill_config_1.createDefaultConfig(cwd);
    // in lage, default mode is to CACHE locally
    defaultCacheConfig.cacheStorageConfig.provider = "local";
    const logger = backfill_logger_1.makeLogger("warn");
    const envConfig = backfill_config_1.getEnvConfig(logger);
    const configWithEnvOverrides = Object.assign(Object.assign(Object.assign(Object.assign({}, defaultCacheConfig), cacheOptions), envConfig), { writeRemoteCache: cacheOptions.writeRemoteCache || !!process.env.LAGE_WRITE_REMOTE_CACHE });
    const configWithFallback = Object.assign(Object.assign({}, configWithEnvOverrides), { cacheStorageConfig: Object.assign(Object.assign({}, configWithEnvOverrides.cacheStorageConfig), { provider: (logger, cwd) => new RemoteFallbackCacheProvider_1.RemoteFallbackCacheProvider(configWithEnvOverrides, logger, cwd), name: "remote-fallback-provider" }) });
    return configWithFallback;
}
exports.getCacheConfig = getCacheConfig;
