import { TaskLogger } from "../logger/TaskLogger";
import { RunContext } from "../types/RunContext";
import { CacheOptions } from "../types/CacheOptions";
import { TargetStatus } from "../types/TargetStatus";
import { LoggableTarget, PipelineTarget } from "../types/PipelineDefinition";
import { Config } from "../types/Config";
import Queue from "bee-queue";
export declare class DistributedTarget implements LoggableTarget {
    target: PipelineTarget;
    private config;
    private context;
    private workerQueue;
    startTime: [number, number];
    duration: [number, number];
    status: TargetStatus;
    logger: TaskLogger;
    cacheOptions: CacheOptions;
    constructor(target: PipelineTarget, config: Config, context: RunContext, workerQueue: Queue);
    onStart(): void;
    onComplete(): void;
    onFail(): void;
    onSkipped(hash: string | null): void;
    run(): Promise<boolean>;
}
